unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    Mapa: TImage;
    MainMenu: TMainMenu;
    Mapa1: TMenuItem;
    Otevrit: TMenuItem;
    Ulozit: TMenuItem;
    N1: TMenuItem;
    Zavt1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    Memo1: TMemo;
    ZobrazitXML: TMenuItem;
    Memo2: TMemo;
    procedure OtevritClick(Sender: TObject);
    procedure UlozitClick(Sender: TObject);
    procedure Zavt1Click(Sender: TObject);
    procedure ZobrazitXMLClick(Sender: TObject);
    procedure NakresliMapu;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  XML: boolean;
  typ: byte;

implementation

{$R *.dfm}

procedure TForm1.OtevritClick(Sender: TObject);
begin
if OpenDialog.Execute then
    begin
    Memo1.Lines.LoadFromFile(OpenDialog.FileName);
    NakresliMapu;
    end;
end;

procedure TForm1.UlozitClick(Sender: TObject);
begin
if SaveDialog.Execute then
    begin
Memo1.Lines.LoadFromFile(SaveDialog.FileName);
    end;
end;

procedure TForm1.Zavt1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.ZobrazitXMLClick(Sender: TObject);
begin
if XML=false then
  begin
  ZobrazitXML.Caption:='Skrt XML kd';
  Memo1.Visible:=true;
  XML:=true;
  end
else
  begin
  ZobrazitXML.Caption:='Zobrazit XML kd';
  Memo1.Visible:=false;
  XML:=false;
  end;
end;

procedure TForm1.NakresliMapu;
var
s,s2: string;
i,e: integer;

begin
i:=1;
repeat
s:=memo1.Lines.Strings[i];
while Pos('<', s) > 0 do
s[Pos('<', s)] := ' ';
while Pos('/', s) > 0 do
s[Pos('/', s)] := ' ';
while s[e]='>' do
begin
if s[e]<>' ' then
s2:=s2+s[e];
inc(e);
end;
s:=s2;
s2:='';
e:=0;
memo2.Lines.add(s);
inc(i);
until Memo1.Lines.Strings[i]='</mapa>';
end;

end.
